StorageVolume (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.StorageVolume interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev
Interface StorageVolume

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, StorageExtent

All Known Subinterfaces:
  FCVolume, SCSIVolume, SolarisStorageVolume, VeritasVolume

    public interface StorageVolume

extends StorageExtent

The StorageVolume class represents the transition of a StorageExents from one modeling domain to another. For example a Redundant Array of Inexpensive or Independent Disks) RAID cabinet could model its redundancy and striping by building up StorageExtents. When the RAID cabinet is ready to represent it's storage to the operating environment, it would represent this last StorageExtent as the StorageVolume A StorageVolume is an Extent that is presented to the Operating System (for example, by a hardware RAID cabinet), to a File System (for example, by a software volume manager) or to another entity. StorageVolumes do NOT participate in StorageRedundancy Groups. They are directly Realized in hardware or are the end result of assembling lower level Extents. Practically speaking a StorageVolume is most likely a StorageExtent that is not a DiskPartition. Relationships between StorageVolumes are done through BasedOnExtent relationships between StorageExtents.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getIOGroup()` Represents the IOGroup through which a virtual disk is exposed.
`java.lang.String` | `getNumOfCylinders()`
`java.lang.String` | `getType()` Type of the volume, e.g.
`boolean` | `hasIOGroup()`
`boolean` | `hasNumOfCylinders()`
`boolean` | `hasType()`
`void` | `setIOGroup(java.lang.String x)`
`void` | `setNumOfCylinders(java.lang.String x)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getIOGroup

    java.lang.String getIOGroup()
                                throws AttributeNotSetException

  Represents the IOGroup through which a virtual disk is exposed.

  Throws:
    `AttributeNotSetException`

### setIOGroup

    void setIOGroup(java.lang.String x)

### hasIOGroup

    boolean hasIOGroup()

### getType

    java.lang.String getType()
                             throws AttributeNotSetException

  Type of the volume, e.g. LVM-RAID0, MD-RAID5 etc...

  Throws:
    `AttributeNotSetException`

### setType

    void setType(java.lang.String type)

### hasType

    boolean hasType()

### getNumOfCylinders

    java.lang.String getNumOfCylinders()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNumOfCylinders

    void setNumOfCylinders(java.lang.String x)

### hasNumOfCylinders

    boolean hasNumOfCylinders()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD